<?php
/**
 * @version     1.0.0
 * @package     com_sp_orders
 * @copyright   http://Atoll-it.ru Copyright (C) 2013. All rights reserved.
 * @license     Proprietary software
 * @author      Atolloc <develop@atoll-it.ru> - http://atoll-it.ru
 */


// No direct access
defined('_JEXEC') or die;

class Sp_ordersController extends JController
{
	/**
	 * Method to display a view.
	 *
	 * @param	boolean			$cachable	If true, the view output will be cached
	 * @param	array			$urlparams	An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return	JController		This object to support chaining.
	 * @since	1.5
	 */
	public function display($cachable = false, $urlparams = false)
	{
		require_once JPATH_COMPONENT.'/helpers/sp_orders.php';

		$view		= JFactory::getApplication()->input->getCmd('view', 'filesorders');
        JFactory::getApplication()->input->set('view', $view);

		parent::display($cachable, $urlparams);

		return $this;
	}
}
